//
//  ELBloodSugarBleManager.h
//  Elink
//
//  Created by iot_user on 2020/7/7.
//  Copyright © 2020 iot_iMac. All rights reserved.
//

#import <AILinkBleSDK/ELBluetoothManager.h>
#import "ELBloodSugarBleHeader.h"

NS_ASSUME_NONNULL_BEGIN

@protocol BloodSugarBleDelegate <NSObject>

@optional

/// 蓝牙连接状态
/// @param state 连接状态
-(void)bloodSugarBleReceiveState:(ELBluetoothState)state;

/// 附近的八电极设备
/// @param devices 八电极设备列表
-(void)bloodSugarBleReceiveDevices:(NSArray<ELPeripheralModel *> *)devices;

/// 回调设备状态
/// @param status 状态
-(void)bloodSugarBleReceiveDeviceStatus:(BloodSugarDeviceStatus)status;

/// 回调测量结果数据
/// @param data 数据
-(void)bloodSugarBleReceiveTestData:(BloodSugarDataStruct)data;

/// 回调设置单位的结果
/// @param result 结果
-(void)bloodSugarBleReceiveSwitchUnitResult:(ELSetBluetoothResponseType)result;

/// 上报错误码
/// @param errorCode 错误码 
-(void)bloodSugarBleReceiveErrorCode:(BloodSugarErrorCode)errorCode;

///返回原始数据
- (void)bloodSugarBleBackManufactureData:(NSData *)data;

@end


@interface ELBloodSugarBleManager : ELBluetoothManager

@property (nonatomic, weak) id<BloodSugarBleDelegate> bloodSugarDelegate;


+(instancetype)shareManager;



//查询设备状态
-(void)bloodSugarQueryDeviceStatus;

//切换单位
-(void)bloodSugarSwitchUnit:(ELDeviceBloodSugarUnit)unit;
@end

NS_ASSUME_NONNULL_END
